
QGIS Application - Bug report #4620

Killing QGIS deletes all user settings

2011-12-08 12:25 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 14522

Description

If I kill QGIS, at next restart of the program I miss all my settings (toolbars etc).

History

#1 - 2011-12-16 02:09 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2011-12-19 04:15 AM - Paolo Cavallini

More precisely, the QGIS.conf file is overwritten/deleted.

#3 - 2012-04-16 06:32 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#4 - 2012-09-04 11:55 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2012-10-23 01:25 AM - Gavin Fleming

- Operating System set to ubuntu

- OS version set to 12.04

My QGIS.conf has been overwritten so I assume it was caused by one of these crashes. I run nightly builds (from QGIS ppa) and I have experienced

several crashes recently.

#6 - 2014-06-28 07:41 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#7 - 2015-12-05 06:31 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

can you confirm that the bug is still valid ? On QGIS 2.13 (on Debian Stretch), the settings seem to be saved as soon as I click on the Ok button of the
settings dialog box. Even a kill -9 don't erase them (at the next start of QGIS, the last settings panel displayed is the last I used).

#8 - 2015-12-20 03:28 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback and as it seems fixed in recent qgis releases.

I remember to have seen this in the past, but never recently, not even after hard crashes (on both Linux and Windows). I assume that this was somehow

fixed.

2025-04-27 2/2


